import { Construct } from "constructs";
export declare class DestinationBucketOptions {
    readonly bucketName: string;
    readonly region?: string;
    readonly account?: string;
}
export declare class ReplicationRoleProps {
    readonly sourceBucketName: string;
    readonly destinationBuckets: DestinationBucketOptions[];
}
export declare class ReplicationRole extends Construct {
    constructor(scope: Construct, id: string, props: ReplicationRoleProps);
}
